Package org.globus.net

# Class WrappedSocket

java.lang.Object
java.net.Socket
org.globus.net.WrappedSocket

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `GssSocket`

public class WrappedSocket extends Socket

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Socket`
`socket`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WrappedSocket()`
``
`WrappedSocket(Socket socket)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`InetAddress`
`getInetAddress()`
`InputStream`
`getInputStream()`
`boolean`
`getKeepAlive()`
`InetAddress`
`getLocalAddress()`
`int`
`getLocalPort()`
`OutputStream`
`getOutputStream()`
`int`
`getPort()`
`int`
`getReceiveBufferSize()`
`int`
`getSendBufferSize()`
`int`
`getSoLinger()`
`int`
`getSoTimeout()`
`boolean`
`getTcpNoDelay()`
`Socket`
`getWrappedSocket()`
`void`
`setKeepAlive(boolean on)`
`void`
`setReceiveBufferSize(int size)`
`void`
`setSendBufferSize(int size)`
`void`
`setSoLinger(boolean on, int linger)`
`void`
`setSoTimeout(int timeout)`
`void`
`setTcpNoDelay(boolean on)`
`void`
`shutdownInput()`
`void`
`shutdownOutput()`
`String`
`toString()`

### Methods inherited from class java.net.Socket

`bind, connect, connect, getChannel, getLocalSocketAddress, getOOBInline, getOption, getRemoteSocketAddress, getReuseAddress, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setOOBInline, setOption, setPerformancePreferences, setReuseAddress, setSocketImplFactory, setTrafficClass, supportedOptions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### socket

protected Socket socket

## Constructor Details

### WrappedSocket

protected WrappedSocket()

### WrappedSocket

public WrappedSocket(Socket socket)

## Method Details

### getWrappedSocket

public Socket getWrappedSocket()

### getOutputStream

public OutputStream getOutputStream() throws IOException

Overrides:
  `getOutputStream` in class `Socket`
Throws:
  `IOException`

### getInputStream

public InputStream getInputStream() throws IOException

Overrides:
  `getInputStream` in class `Socket`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `Socket`
Throws:
  `IOException`

### getInetAddress

public InetAddress getInetAddress()

Overrides:
  `getInetAddress` in class `Socket`

### getKeepAlive

public boolean getKeepAlive() throws SocketException

Overrides:
  `getKeepAlive` in class `Socket`
Throws:
  `SocketException`

### getLocalAddress

public InetAddress getLocalAddress()

Overrides:
  `getLocalAddress` in class `Socket`

### getLocalPort

public int getLocalPort()

Overrides:
  `getLocalPort` in class `Socket`

### getPort

public int getPort()

Overrides:
  `getPort` in class `Socket`

### getReceiveBufferSize

public int getReceiveBufferSize() throws SocketException

Overrides:
  `getReceiveBufferSize` in class `Socket`
Throws:
  `SocketException`

### getSendBufferSize

public int getSendBufferSize() throws SocketException

Overrides:
  `getSendBufferSize` in class `Socket`
Throws:
  `SocketException`

### getSoLinger

public int getSoLinger() throws SocketException

Overrides:
  `getSoLinger` in class `Socket`
Throws:
  `SocketException`

### getSoTimeout

public int getSoTimeout() throws SocketException

Overrides:
  `getSoTimeout` in class `Socket`
Throws:
  `SocketException`

### getTcpNoDelay

public boolean getTcpNoDelay() throws SocketException

Overrides:
  `getTcpNoDelay` in class `Socket`
Throws:
  `SocketException`

### setKeepAlive

public void setKeepAlive(boolean on) throws SocketException

Overrides:
  `setKeepAlive` in class `Socket`
Throws:
  `SocketException`

### setReceiveBufferSize

public void setReceiveBufferSize(int size) throws SocketException

Overrides:
  `setReceiveBufferSize` in class `Socket`
Throws:
  `SocketException`

### setSendBufferSize

public void setSendBufferSize(int size) throws SocketException

Overrides:
  `setSendBufferSize` in class `Socket`
Throws:
  `SocketException`

### setSoLinger

public void setSoLinger(boolean on, int linger) throws SocketException

Overrides:
  `setSoLinger` in class `Socket`
Throws:
  `SocketException`

### setSoTimeout

public void setSoTimeout(int timeout) throws SocketException

Overrides:
  `setSoTimeout` in class `Socket`
Throws:
  `SocketException`

### setTcpNoDelay

public void setTcpNoDelay(boolean on) throws SocketException

Overrides:
  `setTcpNoDelay` in class `Socket`
Throws:
  `SocketException`

### shutdownInput

public void shutdownInput() throws IOException

Overrides:
  `shutdownInput` in class `Socket`
Throws:
  `IOException`

### shutdownOutput

public void shutdownOutput() throws IOException

Overrides:
  `shutdownOutput` in class `Socket`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Socket`